MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023484Open CASCADE[OCCT] OCCT:Visualizationpublic2012-10-23 10:272015-05-14 15:31
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0023484: Visualization, TKOpenGl - primitive arrays to become the only way to render geometry
DescriptionIt is necessary to revise the code in TKOpenGl and TKV3d to get rid of the old code that draws some geometry not using primitive arrays.
Primitive arrays (hardware-accelerated when VBO support is available) should become the only way to render geometry.
Steps To Reproduce/bugs/vis/bug23484_1
/bugs/vis/bug23484_2
TagsNo tags attached.
Test case numberbugs vis(004) bug23484_1, bug23484_2
Attached Files

- Relationships
related to 0023117closedbugmaster Open CASCADE TKV3d and TKOpenGl code clean-up 
related to 0007928closedbugmaster Community Forum 7411: Improved display lists management for the trihedron display 
related to 0025710closedapn Open CASCADE Visualization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl 
related to 0025611closedbugmaster Community Displaying 'zbufftrihedron' interferes with 'graduatedtrihedron' 
parent of 0023872closedkgv Open CASCADE Remove outdated classes OpenGl_Polygon and OpenGl_Polyline 
parent of 0024131closedbugmaster Open CASCADE TKOpenGL redesign GPU memory management for markers presentation 
parent of 0025475closedbugmaster Open CASCADE Visualization, TKOpenGl - draw background using primitive arrays 
related to 0023817closedbugmaster Open CASCADE Marker primitives presentation in TKOpenGl should be redesigned 
related to 0025146closedbugmaster Open CASCADE Porting to Android 
child of 0024838closedbugmaster Open CASCADE Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0038456)
git (administrator)
2015-03-17 22:03

Branch CR23484 has been created by aba.

SHA-1: 343bcacad61a0d78c43005c9c0eb8b939e9a0d44


Detailed log of new commits:

Author: aba
Date: Tue Mar 17 22:03:18 2015 +0300

    0023484: Visualization, TKOpenGl - primitive arrays to become the only way to render geometry:
    - moved OpenGl_Trihedron in wireframe mode to primitive arrays
(0038464)
git (administrator)
2015-03-18 13:25

Branch CR23484 has been updated forcibly by aba.

SHA-1: 5bf5ecb2ea9c7c91796bf97ce2a4ee2ad6a6f643
(0038652)
git (administrator)
2015-03-18 16:04

Branch CR23484 has been updated forcibly by aba.

SHA-1: 5c723aa3ec4dfd800cead837263c6a375781ee57
(0038655)
git (administrator)
2015-03-18 16:10

Branch CR23484 has been updated forcibly by aba.

SHA-1: 2e47f982d53b68a9944764ca454646b20f09bb7d
(0038656)
git (administrator)
2015-03-18 16:14

Branch CR23484_1 has been created by aba.

SHA-1: 10f03f4f22285fffa7112c97a5e8a64069aafb2f


Detailed log of new commits:

Author: aba
Date: Wed Mar 18 16:14:05 2015 +0300

     moved OpenGl_Trihedron in wireframe mode to primitive arrays

Author: aba
Date: Wed Mar 18 16:13:26 2015 +0300

    Visualization, TKOpenGl - primitive arrays to become the only way to render geometry:
    
    - Capping plane moved to primitive arrays
(0038698)
git (administrator)
2015-03-19 16:51

Branch CR23484_1 has been updated by aba.

SHA-1: f1c22ab8fccd197c817a9f05768bcab07c9072ee


Detailed log of new commits:

Author: aba
Date: Thu Mar 19 16:51:42 2015 +0300

    Remarks

(0038708)
git (administrator)
2015-03-19 21:11

Branch CR23484_1 has been updated by aba.

SHA-1: 237b627f2c024ce8ecc4ca5add35f82d8857e82c


Detailed log of new commits:

Author: aba
Date: Thu Mar 19 21:10:53 2015 +0300

    Remarks

(0038712)
git (administrator)
2015-03-20 09:21

Branch CR23484_1 has been updated forcibly by aba.

SHA-1: b08d9c0b152a6587c8ecde20d32a25a3851278f1
(0038713)
git (administrator)
2015-03-20 09:25

Branch CR23484_1 has been updated forcibly by aba.

SHA-1: 009522e20e67cbbcf53254d104c167ce085f65d0
(0038714)
aba (developer)
2015-03-20 09:25

Dear kgv,

please review the branch CR23484_1.
(0038717)
kgv (developer)
2015-03-20 10:16

Please test the patch.
(0038744)
git (administrator)
2015-03-20 15:44

Branch CR23484_1 has been updated forcibly by mkv.

SHA-1: 697e8a79c401a6bdea78ff21db457b696d4c384b
(0038816)
mkv (tester)
2015-03-23 20:04

Dear BugMaster,
Branch CR23484_1 was rebased on current master of occt git-repository.
(0038817)
mkv (tester)
2015-03-23 20:04

Dear BugMaster,
Branch CR3484_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 697e8a79c401a6bdea78ff21db457b696d4c384b

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 4 (4 on master)

Regressions/Differences:
http://occt-tests/CR23484-1-master-occt-64/Debian60-64/summary.html [^]
bugs vis(004) bug20802, bug22483_1, bug22483_2, bug22483_3, bug23225, bug25500, bug25611_1
v3d raytrace(014) bug24819

http://occt-tests/CR23484-1-master-occt-64/Windows-64-VC10/bugs/vis/bug25611_1.html [^]
bugs vis(004) bug25611_1

Testing cases:
http://occt-tests/CR23484-1-master-occt-64/Debian60-64/bugs/vis/bug23484_1.html [^]
http://occt-tests/CR23484-1-master-occt-64/Windows-64-VC10/bugs/vis/bug23484_1.html [^]
bugs vis(004) bug23484_1: OK

http://occt-tests/CR23484-1-master-occt-64/Debian60-64/bugs/vis/bug23484_2.html [^]
http://occt-tests/CR23484-1-master-occt-64/Windows-64-VC10/bugs/vis/bug23484_2.html [^]
bugs vis(004) bug23484_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 88814298 / 88505947 [+0.35%]
Total CPU difference: 54930.410000000025 / 53179.21000000025 [+3.29%]
products component :
Total MEMORY difference: 23152204 / 23198252 [-0.20%]
Total CPU difference: 15921.949999999979 / 16301.109999999973 [-2.33%]

Testing on Windows:
occt component :
Total MEMORY difference: 57414392 / 56675841 [+1.30%]
Total CPU difference: 47051.515625 / 15129.491783299709 [+210.99%]
products component :
Total MEMORY difference: 15078315 / 15023928 [+0.36%]
Total CPU difference: 15800.859375 / 5841.473045099963 [+170.49%]

There are following differences in images found by testdiff.
http://occt-tests/CR23484-1-master-occt-64/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR23484-1-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE bugs vis bug71: bug71_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug25060: bug25060_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug24902_2: bug24902_2_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug22483_4: bug22483_4_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug25132: bug25132_flight_solid.png differs
IMAGE bugs vis bug25132: bug25132_Partition_1.png differs
IMAGE bugs vis bug25132: bug25132_solid_with_cavities.png differs
IMAGE bugs vis bug24901: bug24901_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug24224: bug24224_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug24902_1: bug24902_1_Driver1_Viewer1_View1.png differs
(0038866)
git (administrator)
2015-03-25 10:39

Branch CR23484_1 has been updated by kgv.

SHA-1: 3fb1e96b03fbbc1598211e42278fa6050f6f0338


Detailed log of new commits:

Author: kgv
Date: Wed Mar 25 10:39:26 2015 +0300

    OpenGl_Trihedron - store myLine and myCircle not as pointers

(0038882)
git (administrator)
2015-03-25 14:04

Branch CR23484_1 has been updated by kgv.

SHA-1: 180b073c7dbb2ec9360e695096de5f827e40b3a8


Detailed log of new commits:

Author: kgv
Date: Wed Mar 25 14:04:31 2015 +0300

    OpenGl_CappingPlaneResource - setup normals for capping plane.
    ~OpenGl_Context() - release Delayed resources occured after deletion of Shared resources.

(0038884)
git (administrator)
2015-03-25 14:15

Branch CR23484_2 has been created by kgv.

SHA-1: 3f37d12bf3b83ba5290da09a94a67123c6a5a30f


Detailed log of new commits:

Author: aba
Date: Wed Mar 25 14:15:13 2015 +0300

    0023484: Visualization, TKOpenGl - primitive arrays to become the only way to render geometry
    
    OpenGl_CappingAlgo - draw capping plane using OpenGl_PrimitiveArray.
    OpenGl_Trihedron - draw trihedron in wireframe mode using OpenGl_PrimitiveArray.
    
    ~OpenGl_Context() - release Delayed resources occured after deletion of Shared resources.
    
    Draw Harness, vzbufftrihedron command - redraw viewer after trihedron definition.
(0038885)
kgv (developer)
2015-03-25 14:16

Please test updated patch in branch CR23484_2.
(0038929)
mkv (tester)
2015-03-26 20:13

Dear BugMaster,
Branch CR23484_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3f37d12bf3b83ba5290da09a94a67123c6a5a30f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 4 (4 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR23484-2-master-occt-64/Debian60-64/bugs/vis/bug23484_1.html [^]
http://occt-tests/CR23484-2-master-occt-64/Windows-64-VC10/bugs/vis/bug23484_1.html [^]
bugs vis(004) bug23484_1: OK

http://occt-tests/CR23484-2-master-occt-64/Debian60-64/bugs/vis/bug23484_2.html [^]
http://occt-tests/CR23484-2-master-occt-64/Windows-64-VC10/bugs/vis/bug23484_2.html [^]
bugs vis(004) bug23484_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 86694003 / 87539627 [-0.97%]
Total CPU difference: 55228.06999999983 / 51460.05000000034 [+7.32%]
products component :
Total MEMORY difference: 23159966 / 23207755 [-0.21%]
Total CPU difference: 15398.880000000001 / 16305.889999999974 [-5.56%]

Testing on Windows:
occt component :
Total MEMORY difference: 57189581 / 56847647 [+0.60%]
Total CPU difference: 16432.209333999173 / 16072.67382929974 [+2.24%]
products component :
Total MEMORY difference: 15106930 / 15112435 [-0.04%]
Total CPU difference: 5698.513728699971 / 5861.082370799964 [-2.77%]

There are following differences in images found by testdiff.
http://occt-tests/CR23484-2-master-occt-64/Debian60-64/diff-Debian60-64.html [^]
IMAGE bugs vis bug22483_4: bug22483_4_Driver1_Viewer1_View1.png differs

http://occt-tests/CR23484-2-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE v3d raytrace refraction: refraction.png differs
IMAGE v3d raytrace bug24130: bug24130.png differs
IMAGE v3d raytrace bug24130: bug24130_10.png differs
IMAGE v3d raytrace bug24130: bug24130_18.png differs
IMAGE v3d raytrace bug24130: bug24130_12.png differs
IMAGE v3d raytrace bug24130: bug24130_17.png differs
IMAGE v3d raytrace bug24130: bug24130_9.png differs
IMAGE v3d raytrace bug24130: bug24130_14.png differs
IMAGE v3d raytrace bug24130: bug24130_19.png differs
IMAGE v3d raytrace bug24130: bug24130_13.png differs
IMAGE v3d raytrace bug24130: bug24130_16.png differs
IMAGE v3d raytrace bug24130: bug24130_3.png differs
IMAGE v3d raytrace bug24130: bug24130_5.png differs
IMAGE v3d raytrace bug24130: bug24130_8.png differs
IMAGE v3d raytrace bug24130: bug24130_11.png differs
IMAGE v3d raytrace bug24130: bug24130_15.png differs
IMAGE v3d raytrace bug24130: bug24130_1.png differs
IMAGE v3d raytrace bug24130: bug24130_6.png differs
IMAGE v3d raytrace bug24130: bug24130_2.png differs
IMAGE v3d raytrace bug24130: bug24130_7.png differs
IMAGE v3d raytrace textures: textures.png differs

IMAGE caf presentation K1: K1.png differs
IMAGE caf presentation H1: H1.png differs
IMAGE caf presentation I1: I1.png differs
IMAGE caf presentation G1: G1.png differs
IMAGE caf presentation J1: J1.png differs

IMAGE demo samples raytrace: raytrace.png differs
IMAGE demo samples penrose: penrose.png differs

IMAGE bugs vis bug22483_4: bug22483_4_Driver1_Viewer1_View1.png differs

IMAGE bugs vis bug1188: bug1188_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug25768: bug25768_Driver1_Viewer1_View1.png differs
(0038932)
kgv (developer)
2015-03-27 09:11
edited on: 2015-03-27 09:11

Dear bugmaster,

> There are following differences in images found by testdiff.
> http://occt-tests/CR23484-2-master-occt-64/Debian60-64/diff-Debian60-64.html [^] [^]
> IMAGE bugs vis bug22483_4: bug22483_4_Driver1_Viewer1_View1.png differs
The thin trihedron color changes are expected, so no regressions have been detected.

> http://occt-tests/CR23484-2-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^] [^]
> IMAGE v3d raytrace refraction: refraction.png differs
> IMAGE v3d raytrace bug24130: bug24130.png differs
The tests on Windows have been performed on broken configuration:
vdump D:/jenkins-test-04/testex2/workspace/CR23484-2-master_occt_tests_windows_64/v3d/raytrace/bug24130.png 

vglinfo 
OpenGL info:
  GLvendor    = 'Microsoft Corporation'
  GLdevice    = 'GDI Generic'
  GLversion   = '1.1.0'
  GLSLversion = ''


(0039149)
mkv (tester)
2015-04-02 14:37

Dear BugMaster,
Branch CR23484_2 is TESTED.
(0039437)
git (administrator)
2015-04-09 09:48

Branch CR23484 has been deleted by kgv.

SHA-1: 2e47f982d53b68a9944764ca454646b20f09bb7d
(0039438)
git (administrator)
2015-04-09 09:48

Branch CR23484_1 has been deleted by kgv.

SHA-1: 180b073c7dbb2ec9360e695096de5f827e40b3a8
(0039439)
git (administrator)
2015-04-09 09:48

Branch CR23484_2 has been deleted by kgv.

SHA-1: 3f37d12bf3b83ba5290da09a94a67123c6a5a30f

- Related Changesets
occt: master e1c659da
Timestamp: 2015-03-25 11:15:13
Author: aba
Committer: bugmaster
Details ] Diff ]
0023484: Visualization, TKOpenGl - primitive arrays to become the only way to render geometry

OpenGl_CappingAlgo - draw capping plane using OpenGl_PrimitiveArray.
OpenGl_Trihedron - draw trihedron in wireframe mode using OpenGl_PrimitiveArray.

~OpenGl_Context() - release Delayed resources occured after deletion of Shared resources.

Draw Harness, vzbufftrihedron command - redraw viewer after trihedron definition.
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Trihedron.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug23484_1 Diff ] File ]
add - tests/bugs/vis/bug23484_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-23 10:27 san New Issue
2012-10-23 10:27 san Assigned To => san
2012-10-23 10:32 san Relationship added related to 0023117
2012-10-23 10:32 kgv Relationship added related to 0007928
2012-10-23 10:45 abv Target Version => 6.6.0
2013-02-26 18:43 san Target Version 6.6.0 => 6.7.0
2013-03-30 19:25 kgv Relationship added related to 0023817
2013-03-30 19:29 kgv Relationship added parent of 0023872
2013-08-29 00:20 kgv Relationship added parent of 0024131
2013-11-06 14:58 kgv Target Version 6.7.0 => 6.7.1
2014-04-08 15:04 kgv Target Version 6.7.1 => 6.8.0
2014-08-14 08:52 kgv Relationship added related to 0025146
2014-10-17 08:50 kgv Target Version 6.8.0 => 7.1.0
2014-11-07 15:11 kgv Summary Primitive arrays to become the only way to render geometry => Visualization, TKOpenGl - primitive arrays to become the only way to render geometry
2014-11-13 09:08 kgv Relationship added parent of 0025475
2015-01-19 17:31 kgv Assigned To san => aba
2015-01-19 17:31 kgv Status new => assigned
2015-01-19 17:32 kgv Relationship added related to 0025710
2015-01-19 17:34 kgv Relationship added related to 0025611
2015-02-23 19:11 kgv Relationship added child of 0024838
2015-03-17 22:03 git Note Added: 0038456
2015-03-18 13:25 git Note Added: 0038464
2015-03-18 16:04 git Note Added: 0038652
2015-03-18 16:10 git Note Added: 0038655
2015-03-18 16:14 git Note Added: 0038656
2015-03-19 16:51 git Note Added: 0038698
2015-03-19 21:11 git Note Added: 0038708
2015-03-20 09:21 git Note Added: 0038712
2015-03-20 09:25 git Note Added: 0038713
2015-03-20 09:25 aba Note Added: 0038714
2015-03-20 09:25 aba Assigned To aba => kgv
2015-03-20 09:25 aba Status assigned => resolved
2015-03-20 09:25 aba Steps to Reproduce Updated View Revisions
2015-03-20 10:16 kgv Note Added: 0038717
2015-03-20 10:16 kgv Assigned To kgv => bugmaster
2015-03-20 10:16 kgv Status resolved => reviewed
2015-03-20 10:16 kgv Target Version 7.1.0 => 6.9.0
2015-03-20 14:27 mkv Assigned To bugmaster => mkv
2015-03-20 15:44 git Note Added: 0038744
2015-03-23 20:04 mkv Note Added: 0038816
2015-03-23 20:04 mkv Note Added: 0038817
2015-03-23 20:04 mkv Assigned To mkv => aba
2015-03-23 20:04 mkv Status reviewed => assigned
2015-03-23 20:04 mkv Test case number => bugs vis(004) bug23484_1, bug23484_2
2015-03-25 10:39 git Note Added: 0038866
2015-03-25 14:04 git Note Added: 0038882
2015-03-25 14:15 git Note Added: 0038884
2015-03-25 14:16 kgv Note Added: 0038885
2015-03-25 14:16 kgv Assigned To aba => bugmaster
2015-03-25 14:16 kgv Status assigned => resolved
2015-03-25 14:16 kgv Status resolved => reviewed
2015-03-25 14:28 mkv Assigned To bugmaster => mkv
2015-03-26 20:13 mkv Note Added: 0038929
2015-03-26 20:13 mkv Assigned To mkv => kgv
2015-03-26 20:13 mkv Status reviewed => assigned
2015-03-27 09:11 kgv Note Added: 0038932
2015-03-27 09:11 kgv Assigned To kgv => bugmaster
2015-03-27 09:11 kgv Status assigned => feedback
2015-03-27 09:11 kgv Note Edited: 0038932 View Revisions
2015-03-31 14:09 kgv Relationship added related to 0025974
2015-04-02 14:37 mkv Note Added: 0039149
2015-04-02 14:37 mkv Status feedback => tested
2015-04-07 16:08 bugmaster Changeset attached => occt master e1c659da
2015-04-07 16:08 bugmaster Status tested => verified
2015-04-07 16:08 bugmaster Resolution open => fixed
2015-04-09 09:48 git Note Added: 0039437
2015-04-09 09:48 git Note Added: 0039438
2015-04-09 09:48 git Note Added: 0039439
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker